unit segset;

interface

uses
{$IFDEF WIN32}
  Windows,
{$ELSE}
  WinTypes, WinProcs,
{$ENDIF}
Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, Compress, Segment;

type
  TSetupForm = class(TForm)
    Panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    BuildLabel: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    ERegName: TEdit;
    ERegNumber: TEdit;
    ESegBaseName: TEdit;
    ESegDir: TEdit;
    ESegSize: TEdit;
    ESegBuildMode: TComboBox;
    ESegCompType: TComboBox;
    CanBtn: TBitBtn;
    OKBtn: TBitBtn;
    MsgPanel: TPanel;
  private
    { Private declarations }
    procedure InitSetup;
    procedure SaveSetup;
  public
    { Public declarations }
    procedure Execute;
  end;

var
  SetupForm: TSetupForm;

implementation

uses Main;

{$R *.DFM}

procedure TSetupForm.Execute;
begin
     InitSetup;
     ActiveControl := CanBtn;
     if ( ShowModal = mrOK ) then
       SaveSetup;
end;

procedure TSetupForm.InitSetup;
begin
     with MainForm do
       begin
       ERegName.Text := SegCompEZ.RegName;
       ERegNumber.Text := IntToStr(SegCompEZ.RegNumber);
       ESegBaseName.Text := SegCompEZ.SegBaseName;
       if (SegCompEZ.SegCompType = coCustom) then
         ESegCompType.ItemIndex := 0
       else if (SegCompEZ.SegCompType = coLZH) then
         ESegCompType.ItemIndex := 1
       else if (SegCompEZ.SegCompType = coNone) then
         ESegCompType.ItemIndex := 2
       else
         ESegCompType.ItemIndex := 3;
       ESegBuildMode.ItemIndex := Integer(SegCompEZ.SegBuildMode);
       ESegDir.Text := SegCompEZ.SegDir;
       ESegSize.Text := IntToStr(SegCompEZ.SegSize);
       end;
end;

procedure TSetupForm.SaveSetup;
begin
     with MainForm do
       begin
       SegCompEZ.RegName := ERegName.Text;
       SegCompEZ.RegNumber := StrToInt(ERegNumber.Text);
       SegCompEZ.SegBaseName := ESegBaseName.Text;
       if (ESegCompType.ItemIndex = 0) then
         SegCompEZ.SegCompType := coCustom
       else if (ESegCompType.ItemIndex = 1) then
         SegCompEZ.SegCompType := coLZH
       else if (ESegCompType.ItemIndex = 2) then
         SegCompEZ.SegCompType := coNone
       else
         SegCompEZ.SegCompType := coRLE;
       if (ESegBuildMode.ItemIndex = 0) then
         SegCompEZ.SegBuildMode := bmFlat
       else
         SegCompEZ.SegBuildMode := bmRecursive;

       SegCompEZ.SegDir := ESegDir.Text;
       SegCompEZ.SegSize := StrToInt(ESegSize.Text);
       end;
end;

end.
